﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.Resources {

	/// <summary>
	/// Current attributes should be used to map class/struct property/field members as resource references. 
	/// Resource reference can be setup with real resource instance from specified collection.
	/// </summary>
	[AttributeUsage(AttributeTargets.Property | AttributeTargets.Field)]
	public class __ResourceRefAttribute : System.Attribute {
		private string _resourceId;

		public string ResourceId {
			get { return _resourceId; }
		}

		public __ResourceRefAttribute()
			: base() {
		}

		public __ResourceRefAttribute(string resourceId) {
			_resourceId = resourceId;
		}
	}
}
