﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework.CSS {

	/// <summary>
	/// Generic exception type generated by style sheet subsystem
	/// </summary>
	public class StyleSheetException : Exception {
		/// <summary>
		/// Initializes a new instance of the <see cref="StyleSheetException"/> class.
		/// </summary>
		/// <param name="cause">The source exception caused this one.</param>
		/// <param name="format">The format of message.</param>
		/// <param name="args">The args.</param>
		public StyleSheetException(Exception cause, string format, params object[] args)
			: base(string.Format(format, args), cause) {
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="StyleSheetException"/> class.
		/// </summary>
		/// <param name="format">The format of message.</param>
		/// <param name="args">The args.</param>
		public StyleSheetException(string format, params object[] args) : base(string.Format(format, args)) {
		}
	}
}
