﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework.CSS {

	/// <summary>
	/// Defines signature for style property string parsing
	/// </summary>
	public delegate object StylePropertyParseCallback (StyleSheet styleSheet, string stringValue);

	/// <summary>
	/// Enumeration of possible element styles
	/// </summary>
	public enum StyleState {
		///<summary>This state is not specific for element but defines slot for style value set common for entire style class</summary>
		Undefined,
		/// <summary>Default state of element</summary>
		Default,
		/// <summary>Element is hovered by cursor pointer</summary>
		Hovered,
		/// <summary>Element is currently pressed with one of press button</summary>
		Pressed,
		/// <summary>Element is currently focused and receives keyboard input</summary>
		Focused,
		/// <summary>Element is currently disabled and doesn't receive any input</summary>
		Disabled

	}
}
