﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework {

	///<summary>Defines rules for node automatic placement (docking) inside parent client area</summary>
	public enum DockMode {
		///<summary>ViewNode doesn't fill parents client area</summary>
		None = 0,
		///<summary>Docks node to the left side of parent node client space. Width of current node persists</summary>
		Left = 1,
		///<summary>Docks node to the right side of parent node client space. Width of current node persists</summary>
		Right = 2,
		///<summary>Docks node to the top side of parent node client space. Width of current node persists.</summary>
		Top = 3,
		///<summary>Docks node to the bottom side of parent node client space. Height of current node persists.</summary>
		Bottom = 4,
		/// <summary>
		///	Fills entire parent node client space (not consumed with previous children). Width and height of current node will be adjusted to rest of client area.
		/// This dock mode doesn't collapse free client space of parent. 
		/// </summary>
		All = 5
	}

}
