﻿using System;
using System.Collections.Generic;
using System.Text;
using Vortex.Drawing;

namespace Vortex.SceneFramework.Gui {

	/// <summary>
	/// Button widget. It is combined from two layers: background and text. Drawing of both is based on style sheet. Button's default text alignment is Middle,Center.
	/// </summary>
	public class Button : Label {

		#region Drawing

		/// <summary>
		/// Draws button
		/// </summary>
		/// <param name="canvas">The canvas to use for button drawing.</param>
		protected override void Draw(Canvas2D canvas) {
			//draw background first
			DrawBackground(canvas, BoundingBox);

			//draw label code over the background... :)
			base.Draw(canvas);
		}

		#endregion
	}
}
