﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework {

	/// <summary>
	/// Provides  a interface method for resolving property value from string.
	/// </summary>
	public interface IPropertyResolver {
		/// <summary>
		/// Resolves the property string into CLR object of specified type.
		/// </summary>
		/// <param name="propertyName">Name of the property.</param>
		/// <param name="propertyType">Type of the property object.</param>
		/// <param name="propertyValue">The string property value to resolve.</param>
		/// <returns>Property value object matching specified type; or <c>null</c> if resolving failed.</returns>
		object ResolveProperty(string propertyName, Type propertyType, string propertyValue);
	}
}
