﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework {

	/// <summary>
	/// Collection of domain nodes. Inherits List&lt;T&gt; but provides some usfull methods and operations
	/// </summary>
	/// <typeparam name="T">Type of element</typeparam>
	public class NodeList<T> : List<T> where T : Node {

		/// <summary>
		/// Initializes a new empty instance of the <see cref="NodeList&lt;T&gt;"/> class.
		/// </summary>
		public NodeList()
			: base() {
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="NodeList&lt;T&gt;"/> class filled with elements from specified enumeration.
		/// </summary>
		/// <param name="enumeration">The source enumeration to fill collection.</param>
		public NodeList(IEnumerable<T> enumeration)
			: base(enumeration) {
		}
	}
}
