﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework {
	/// <summary>
	/// Superclass for transparent scenes which can be placed over the background scenes or in modal state
	/// </summary>
	public class OverlayScene : DomainNode{

		/// <summary>
		/// Override. OverlayScene can't intercept input. It is very similar to layer.
		/// </summary>
		/// <param name="point">The point to check.</param>
		/// <returns>
		/// 	<c>true</c> if the specified domain contains point; otherwise, <c>false</c>.
		/// </returns>
		public override bool ContainsPoint(Vortex.Drawing.Vector2 point) {
			return false;
		}
	}
}
