﻿using System;
using System.Collections.Generic;
using System.Text;
using Vortex.SceneFramework.Effects;
using Vortex.Drawing;

namespace Vortex.SceneFramework {

	/// <summary>
	/// Contains collection of predefined domain switch effects
	/// </summary>
	public static class SceneSwitchEffects {

		/// <summary>Simple fade-out / fade-in switch effect</summary>
		public static readonly ISceneSwitchEffect Fade = new FadeSceneSwitchEffect();

		/// <summary>The slide left effect </summary>
		public static readonly ISceneSwitchEffect SlideLeft = new SlideSceneSwitchEffect(Vector2.UnitX);

		/// <summary>The slide right effect </summary>
		public static readonly ISceneSwitchEffect SlideRight = new SlideSceneSwitchEffect(Vector2.UnitX.Negative);

		/// <summary>The slide down effect </summary>
		public static readonly ISceneSwitchEffect SlideDown = new SlideSceneSwitchEffect(Vector2.UnitY);

		/// <summary>The slide up effect </summary>
		public static readonly ISceneSwitchEffect SlideUp = new SlideSceneSwitchEffect(Vector2.UnitY.Negative);

	}
}
