﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework {

	#region Delegates

	///<summary>Provides very simple graph event callback handler</summary>
	public delegate void GraphEventHandler(Node sender);

	///<summary>Defines simple parse callback signature</summary>
	public delegate object ParseCallback(string stringValue);

	///<summary>Provides simples signature of element callback</summary>
	public delegate void NodeCallbackHandler(Node element);

	#endregion

	#region Enums

	/// <summary>Defines an orientation of some entity in 2D space</summary>
	public enum Orientation {
		/// <summary>Horizontal orientation of entity</summary>
		Horizontal,
		/// <summary>Vertical orientation of entity</summary>
		Vertical
	}

	#endregion
}
