﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Vortex.Input {

	/// <summary>
	/// Contains information about mouse button action: button enum, location and key states
	/// </summary>
	public class MouseButtonActionInfo : MouseActionInfo {
		MouseButton _button;

		/// <summary>
		/// Initializes a new instance of the <see cref="MouseButtonActionInfo"/> class.
		/// </summary>
		/// <param name="button">The button triggered this action.</param>
		/// <param name="location">The location of action.</param>
		/// <param name="keyStates">The key states on the moment of action.</param>
		public MouseButtonActionInfo(MouseButton button, Point location, KeyStates keyStates) 
			: base(location, keyStates) {
			_button = button;
		}

		/// <summary>
		/// Gets the mouse button which triggered this event.
		/// </summary>
		/// <value>The mouse button.</value>
		public MouseButton Button {
			get { return _button; }
		}
	}
}
