﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Vortex.Input {

	/// <summary>
	/// Contains information about mouse wheel action.
	/// </summary>
	public class MouseWheelActionInfo : MouseActionInfo {
		int _wheelDelta;

		/// <summary>
		/// Initializes a new instance of the <see cref="MouseWheelActionInfo"/> class.
		/// </summary>
		/// <param name="wheelDelta">The wheel delta changed with this action.</param>
		/// <param name="location">The location of action.</param>
		/// <param name="keyStates">The key states on the moment of action.</param>
		public MouseWheelActionInfo(int wheelDelta, Point location, KeyStates keyStates) : base(location, keyStates) {
			_wheelDelta = wheelDelta;
		}

		/// <summary>
		/// Gets the wheel delta changed with action.
		/// </summary>
		/// <value>The wheel delta in units.</value>
		public int WheelDelta {
			get { return _wheelDelta; }
		}
	}
}
